Bug 1283054 - FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'
FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:c3e27a37eae2173ff7d190e7468...
:
: 1279530 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 01:07 EST by b.babekov
Modified: 2016-12-20 11:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.18 MB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: anaconda.log (46.33 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: environ (537 bytes, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: journalctl (390.66 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: lsblk_output (3.73 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: nmcli_dev_list (2.20 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: program.log (148.12 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: storage.log (498.64 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: ifcfg.log (4.67 KB, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details
File: packaging.log (150 bytes, text/plain)
2015-11-18 01:07 EST, b.babekov
no flags Details

  None (edit)
Description b.babekov 2015-11-18 01:07:03 EST
Description of problem:
Trying to install dual boot fedora 23 on  laptop with Windows 8.1  uefi system.
1. Mounted my Win efi partition as /boot/efi
2. Created following standart partition : /boot - 2 GiB ext4 , /swap - 8 GiB , / - 100 GiB , /home - 180 GiB

The instalation failed on  "Installing boot loader" 

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/subprocess.py", line 1457, in _execute_child
    raise child_exception_type(errno_num, err_msg)
  File "/usr/lib64/python3.4/subprocess.py", line 859, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 201, in startProgram
    preexec_fn=preexec, cwd=root, env=env, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 279, in _run_program
    env_prune=env_prune)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 358, in execWithRedirect
    log_output=log_output, binary_output=binary_output)[0]
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 336, in execInSysroot
    return execWithRedirect(command, argv, stdin=stdin, root=getSysroot())
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1571, in write_config
    rc = iutil.execInSysroot("grub2-set-default", [str(default_index)])
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 1784, in write
    self.write_config()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2375, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.4/site-packages/pyanaconda/bootloader.py", line 2453, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 240, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
FileNotFoundError: [Errno 2] No such file or directory: 'grub2-set-default'

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 b.babekov 2015-11-18 01:07:17 EST
Created attachment 1095853 [details]
File: anaconda-tb
Comment 2 b.babekov 2015-11-18 01:07:20 EST
Created attachment 1095854 [details]
File: anaconda.log
Comment 3 b.babekov 2015-11-18 01:07:21 EST
Created attachment 1095855 [details]
File: environ
Comment 4 b.babekov 2015-11-18 01:07:28 EST
Created attachment 1095856 [details]
File: journalctl
Comment 5 b.babekov 2015-11-18 01:07:29 EST
Created attachment 1095857 [details]
File: lsblk_output
Comment 6 b.babekov 2015-11-18 01:07:31 EST
Created attachment 1095858 [details]
File: nmcli_dev_list
Comment 7 b.babekov 2015-11-18 01:07:33 EST
Created attachment 1095859 [details]
File: os_info
Comment 8 b.babekov 2015-11-18 01:07:36 EST
Created attachment 1095860 [details]
File: program.log
Comment 9 b.babekov 2015-11-18 01:07:41 EST
Created attachment 1095861 [details]
File: storage.log
Comment 10 b.babekov 2015-11-18 01:07:43 EST
Created attachment 1095862 [details]
File: ifcfg.log
Comment 11 b.babekov 2015-11-18 01:07:45 EST
Created attachment 1095863 [details]
File: packaging.log
Comment 12 David Shea 2015-11-18 09:24:58 EST
*** Bug 1279530 has been marked as a duplicate of this bug. ***
Comment 13 David Shea 2015-11-18 09:25:53 EST
12:57:17,255 INFO program: rsync: rsync_xal_set: lsetxattr(""/mnt/sysimage/boot/efi"","security.selinux") failed: Operation not supported (95)
12:57:17,256 INFO program: rsync: write failed on "/mnt/sysimage/boot/efi/mach_kernel": No space left on device (28)
12:57:17,256 INFO program: rsync error: error in file IO (code 11) at receiver.c(393) [receiver=3.1.1]
12:57:17,256 DEBUG program: Return code: 11

There is not space on /boot/efi, so the install failed. Obviously this is not the best failure mode for that.
Comment 14 spital 2016-06-01 02:16:09 EDT
Similar problem has been detected:

1. created liveCD fedora 23 x64 xfce
2. installed on UsbFlash1 using YUMI
3. booted liveCD
4. created filesystem on UsbFlash2 : FAT32,boot,swap,linuxRoot
5. liveinst -> UsbFlash2

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --noselinux
cmdline_file:   BOOT_IMAGE=vmlinuz0 live_dir=/multiboot/f23x64xfce-live-160531-ks/LiveOS initrd=initrd0.img root=live:LABEL=MULTIBOOT live_dir=/multiboot/f23x64xfce-live-160531-ks/LiveOS NULL=f23x64xfce-live-160531-ks rootfstype=auto ro rd.live.image  rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.4.9-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-6.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
product:        Fedora
reason:         FileNotFoundError: [Errno 2] Adresář nebo soubor neexistuje: 'grub2-set-default'
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 15 spital 2016-06-05 03:43:04 EDT
My problem was probably caused by using experimental kickstart file without the presence of grub2-tools.
Although grub2-tools were specifically mentioned at the end, I had "-grub2*" somewhere in the middle.
Comment 16 Fedora End Of Life 2016-11-24 08:32:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:02:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.